Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 266986

Summary: Stabilize GStreamer 0.10.22 and plugins
Product: Gentoo Linux Reporter: Olivier Crete (RETIRED) <tester>
Component: [OLD] GNOMEAssignee: GStreamer package maintainers <gstreamer>
Status: RESOLVED FIXED    
Severity: normal CC: media-video, pacho
Priority: High Keywords: STABLEREQ
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 256096, 266927, 267726, 268294, 269617, 269620    
Bug Blocks: 261594, 266913, 272972    
Attachments: List of packages to stabilize

Description Olivier Crete (RETIRED) gentoo-dev 2009-04-21 15:57:06 UTC
I'm attaching a list of packages, we'll have to expedite the stability for bug #266913, so lets have it tested a bit.
Comment 1 Olivier Crete (RETIRED) gentoo-dev 2009-04-21 15:57:23 UTC
Created attachment 189066 [details, diff]
List of packages to stabilize
Comment 2 Olivier Crete (RETIRED) gentoo-dev 2009-04-23 23:39:12 UTC
Also, stabilizing newer gst plugins will require media-video/ffmpeg-0.5. Any objection ?
Comment 3 Olivier Crete (RETIRED) gentoo-dev 2009-05-01 13:43:10 UTC
Lets go and stabilize the latest GStreamer stuff. Please make sure you do the whole list (ie, you can't really mix different versions).
Comment 4 Olivier Crete (RETIRED) gentoo-dev 2009-05-01 14:31:32 UTC
add some more arches..

Btw, this is a security bug (part of #266913).
Comment 5 Markus Meier gentoo-dev 2009-05-03 12:33:50 UTC
this needs newer ffmpeg stable:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "=media-video/ffmpeg-0.5*" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-video/ffmpeg-0.5-r1 (masked by: ~x86 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "media-plugins/gst-plugins-ffmpeg-0.10.7" [ebuild])
(dependency required by "=media-plugins/gst-plugins-ffmpeg-0.10.7" [argument])
Comment 6 Tobias Klausmann gentoo-dev 2009-05-03 13:29:34 UTC
ffmpeg also needs media-libs/openjpeg-1.3-r2 
plus, we need >=media-libs/libmms-0.4 

Comment 7 Peter Alfredsen (RETIRED) gentoo-dev 2009-05-03 13:47:49 UTC
(In reply to comment #6)
> ffmpeg also needs media-libs/openjpeg-1.3-r2

That one is ready.

I just updated ffmpeg deps w.r.t. bug 265830.
This should be the final list for stabilizing media-video/ffmpeg-0.5-r1:
media-libs/openjpeg-1.3-r2
media-libs/libmms-0.4
media-sound/lame-3.98.2-r1
Comment 8 Tobias Klausmann gentoo-dev 2009-05-03 17:57:16 UTC
Stabilized on alpha:

all from the list plus ffmpeg, openjpeg, lame and libmms.
except:

media-plugins/gst-plugins-libvisual-0.10.22
media-plugins/gst-plugins-raw1394-0.10.14
media-plugins/gst-plugins-soup-0.10.14
media-plugins/gst-plugins-ximagesrc-0.10.14
media-plugins/gst-plugins-modplug-0.10.11
media-plugins/gst-plugins-mythtv-0.10.11
media-plugins/gst-plugins-resindvd-0.10.11
media-plugins/gst-plugins-x264-0.10.11

which never were keyworded. I'll keyword gst-plugins-modplug via bug 266927  
Comment 9 Christian Faulhammer (RETIRED) gentoo-dev 2009-05-12 21:26:26 UTC
x86 stable
Comment 10 Markus Meier gentoo-dev 2009-05-14 20:08:03 UTC
amd64 stable
Comment 11 Brent Baude (RETIRED) gentoo-dev 2009-05-21 18:39:40 UTC
PPC done; all stable except the following were ~ppc:

media-plugins/gst-plugins-pulse-0.10.14
media-plugins/gst-plugins-soup-0.10.14
media-plugins/gst-plugins-wavpack-0.10.14
media-plugins/gst-plugins-amrnb-0.10.11
media-plugins/gst-plugins-amrwb-0.10.11
media-plugins/gst-plugins-ladspa-0.10.11
media-plugins/gst-plugins-libmms-0.10.11
media-plugins/gst-plugins-resindvd-0.10.11
media-plugins/gst-plugins-x264-0.10.11

Saw a compilation failure in the *tests* with media-libs/gmyth-0.7
Comment 12 Brent Baude (RETIRED) gentoo-dev 2009-05-21 19:34:38 UTC
ppc64 done and the following were marked ~ppc64:
media-plugins/gst-plugins-pulse-0.10.14
media-plugins/gst-plugins-soup-0.10.14
media-plugins/gst-plugins-wavpack-0.10.14
media-plugins/gst-plugins-amrnb-0.10.11
media-plugins/gst-plugins-amrwb-0.10.11
media-plugins/gst-plugins-dvb-0.10.11
media-plugins/gst-plugins-ladspa-0.10.11
media-plugins/gst-plugins-libmms-0.10.11
media-plugins/gst-plugins-mythtv-0.10.11
media-plugins/gst-plugins-resindvd-0.10.11
media-plugins/gst-plugins-x264-0.10.11
media-libs/gmyth-0.7
Comment 13 Jeroen Roovers (RETIRED) gentoo-dev 2009-05-23 03:59:29 UTC
Stable for HPPA:

=media-libs/gstreamer-0.10.22
=media-libs/gst-plugins-base-0.10.22
=media-plugins/gst-plugins-alsa-0.10.22
=media-plugins/gst-plugins-cdparanoia-0.10.22
=media-plugins/gst-plugins-gio-0.10.22
=media-plugins/gst-plugins-gnomevfs-0.10.22
=media-plugins/gst-plugins-ogg-0.10.22
=media-plugins/gst-plugins-pango-0.10.22
=media-plugins/gst-plugins-theora-0.10.22
=media-plugins/gst-plugins-vorbis-0.10.22
=media-plugins/gst-plugins-x-0.10.22
=media-plugins/gst-plugins-xvideo-0.10.22
=media-libs/gst-plugins-good-0.10.14
=media-plugins/gst-plugins-esd-0.10.14
=media-plugins/gst-plugins-flac-0.10.14
=media-plugins/gst-plugins-gconf-0.10.14
=media-plugins/gst-plugins-oss-0.10.14
=media-libs/gst-plugins-ugly-0.10.11
=media-plugins/gst-plugins-a52dec-0.10.11
=media-plugins/gst-plugins-dvdread-0.10.11
=media-plugins/gst-plugins-mad-0.10.11
=media-plugins/gst-plugins-mpeg2dec-0.10.11
Comment 14 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-25 00:09:44 UTC
sparc: ping
Comment 15 Raúl Porcel (RETIRED) gentoo-dev 2009-07-01 16:48:39 UTC
arm/ia64/sh/sparc stable, i think.

Closing